@if (componentData$ | async; as componentData) {
  <sqtm-core-workspace-with-grid
    [licenseInformation]="referentialDataService.licenseInformation$ | async"
    [licenseBannerPlacement]="'WORKSPACES'"
    [isLoggedAsAdmin]="referentialDataService.isAdmin() | async"
    [workspaceTheme]="'automation-workspace'"
    [name]="'automation-programmer-workspace'"
    [rootUrl]="[
      'automation-workspace',
      'automation-programmer-workspace',
      'global'
    ]"
    [entityIdPositionInUrl]="3"
  >
    <sqtm-core-nav-bar
      class="full-height"
      projection="navBar"
    ></sqtm-core-nav-bar>
    <div
      projection="grid"
      class="flex-column full-height full-width overflow-hidden p-r-10 p-b-10"
    >
      <div class="full-height full-width overflow-hidden flex-column">
        <sqtm-app-automation-workspace-header
          [helpI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.global.help'
          "
          [mainTitleI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.title'
          "
          [tableNameI18NKey]="
            'sqtm-core.automation-workspace.programmer-view.global.label'
          "
        >
          @if (shouldShowResetFilterLink(activeFilters$ | async)) {
            <div projection="reset-filter-button">
              <sqtm-core-reset-filters-link
                (resetFiltersLinkPressed)="resetFilters()"
              ></sqtm-core-reset-filters-link>
            </div>
          }
          <div
            projection="automation-button-action"
            class="panel-buttons"
            [attr.data-test-toolbar-id]="'global-toolbar'"
          >
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'assign'"
              (clickedInActiveMode)="assignAutomationRequest()"
              [active]="canEditRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:assign"
                class="action-icon-size"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.automation-workspace.button.assign.label'
                    | translate
                "
              ></i>
            </sqtm-core-toggle-icon>
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'unassign'"
              (clickedInActiveMode)="unAssignAutomationRequest()"
              [active]="canEditRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:unassigned"
                class="action-icon-size"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.automation-workspace.button.unassign.label'
                    | translate
                "
              ></i>
            </sqtm-core-toggle-icon>
            <div class="buttons-separator"></div>
            <sqtm-core-toggle-icon
              [attr.data-test-toolbar-button-id]="'automated'"
              (clickedInActiveMode)="changeToAutomatedStatus()"
              [active]="canEditRows$ | async"
            >
              <i
                nz-icon
                nzType="sqtm-core-automation:automated"
                class="action-icon-size"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.entity.automation-request.status.AUTOMATED'
                    | translate
                "
                [attr.data-test-toolbar-button-id]="'more'"
              ></i>
            </sqtm-core-toggle-icon>
            <span
              class="font-20-px"
              nz-dropdown
              [nzDropdownMenu]="actionMenu"
              [nzPlacement]="'bottomCenter'"
            >
              <i nz-icon nzType="sqtm-core-generic:more" nzTheme="outline"></i>
            </span>
            <nz-dropdown-menu #actionMenu="nzDropdownMenu">
              <ul nz-menu [attr.data-test-menu-id]="'action-menu'">
                <li
                  nz-menu-item
                  [attr.data-test-menu-item-id]="'automation-in-progress'"
                  [nzDisabled]="!(canEditRows$ | async)"
                  (click)="automRequestInProgress()"
                >
                  {{
                    'sqtm-core.entity.automation-request.status.AUTOMATION_IN_PROGRESS'
                      | translate
                  }}
                </li>
                <li
                  nz-menu-item
                  [attr.data-test-menu-item-id]="'rejected'"
                  [nzDisabled]="!(canEditRows$ | async)"
                  (click)="rejectAutomRequest()"
                >
                  {{
                    'sqtm-core.entity.automation-request.status.REJECTED'
                      | translate
                  }}
                </li>
              </ul>
            </nz-dropdown-menu>
          </div>
        </sqtm-app-automation-workspace-header>
        <div class="flex-row full-width full-height">
          <sqtm-app-automation-workspace-anchors></sqtm-app-automation-workspace-anchors>
          <div
            class="full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
          >
            <sqtm-core-grid></sqtm-core-grid>
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-workspace-with-grid>
}
